; legt alle Objekte aller Blöcke einer DWG auf den aktuellen Layer und gibt den Objekten die Farbe vonblock ; AlleBlockObjekte2AktivenLayer ; basiert aof LISP von CADmium in http://ww3.cad.de/foren/ubb/Forum54/HTML/028573.shtml#000007 (defun C:ABO2AL( / BLOCK ITEM) (setq aktlay (getvar "clayer")) (vl-load-com) (vlax-for BLOCK(vla-get-blocks(vla-get-activedocument(vlax-get-acad-object))) (if (=(vla-get-ISLAYOUT BLOCK):vlax-false) (vlax-for ITEM BLOCK (vl-catch-all-apply 'vla-put-layer (list ITEM aktlay) ) ) ) ) (vla-regen(vla-get-activedocument(vlax-get-acad-object))acAllViewports) (vlax-for BLOCK(vla-get-blocks(vla-get-activedocument(vlax-get-acad-object))) (if (=(vla-get-ISLAYOUT BLOCK):vlax-false) (vlax-for ITEM BLOCK (vl-catch-all-apply 'vla-put-color (list ITEM "vonblock") ) ) ) ) (vla-regen(vla-get-activedocument(vlax-get-acad-object))acAllViewports) )